Commit f2737470 authored by User expired's avatar User expired
Browse files

Version upgrades for npm and selenium test drivers

parent 47b3898e
Upcoming version:
-----------------
- Version upgrades for npm and selenium test drivers (Nikolaus Krismer)
- Fixed some minor js issues (Nikolaus Krismer)
- using own pouchdb caching implementation (fixes scoping issue) (Nikolaus Krismer)
- Upgrading PouchDB to latest version (Nikolaus Krismer)
......
......@@ -43,19 +43,19 @@ ext {
// drivers = ["chrome", "phantomJS"]
drivers = ["firefox"]
versionChromeDriver = '2.27'
versionChromeDriver = '2.31'
versionFindbugs = '+'
versionGeckoDriver = 'v0.16.1'
versionGeckoDriver = 'v0.18.0'
versionGeotools = '+'
versionGhostDriver = '2.1.0'
versionIsochrone = project.version
versionJacoco = '0.7.9+'
versionJersey = '2.25'
versionJetty = '9+'
versionLog4j = '2+'
versionNpm = '4.1.2'
versionNodeJs = '8.0.0'
versionNpm = '5.3.0'
versionNodeJs = '8.2.1'
versionPhantomJs = '2.1.1'
versionPhantomJsDriver = '1.3.0'
versionSelenium = '3.+'
versionServletApi = '3.1.0'
versionWebsocketApi = '1.0'
......@@ -72,6 +72,10 @@ gradle.taskGraph.whenReady {taskGraph ->
repositories {
mavenCentral()
jcenter()
maven {
// for ghostdriver version >= 2.x
url 'https://jitpack.io'
}
maven {
// repo for latest version of jai-core (javax.media.jai:com.springsource.javax.media.jai.core:+)
// also see https://issues.gradle.org/browse/GRADLE-2395
......@@ -160,7 +164,7 @@ dependencies {
runtime "org.apache.logging.log4j:log4j-slf4j-impl:$versionLog4j"
runtime "org.apache.logging.log4j:log4j-web:$versionLog4j"
integrationCompile("com.codeborne:phantomjsdriver:$versionPhantomJsDriver") {
integrationCompile("com.github.detro:ghostdriver:$versionGhostDriver") {
// phantomjs driver pulls in a different selenium version
transitive = false
}
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment